CEL: Crystal Entity Layer: iCelBehaviour Struct Reference (CEL: Crystal Entity Layer Public API Reference)

| ## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iCelBehaviour Struct Reference

This is an entity in the CEL layer at the BL (behaviour layer) side. More...

`#include <behaviourlayer/behave.h>`

List of all members.

## Public Member Functions
virtual iCelBlLayer * | GetBehaviourLayer () const =0
| Get the behaviour layer that created this behaviour.
virtual void * | GetInternalObject ()=0
| This is a function intended for implementations of behaviour layers.
virtual const char * | GetName () const =0
| Get the name of this behaviour (was used in the call to iCelBlLayer::CreateBehaviour()).
virtual bool | SendMessage (const char *msg_id, iCelPropertyClass *pc, celData &ret, iCelParameterBlock *params,...)=0
| Send a message to this entity.
virtual bool | SendMessageV (const char *msg_id, iCelPropertyClass *pc, celData &ret, iCelParameterBlock *params, va_list arg)=0
| Send a message to this entity.

## Detailed Description

This is an entity in the CEL layer at the BL (behaviour layer) side.

Definition at line 64 of file behave.h.

## Member Function Documentation

virtual iCelBlLayer* iCelBehaviour::GetBehaviourLayer | ( |  | ) | const`[pure virtual]`

| Get the behaviour layer that created this behaviour.

virtual void* iCelBehaviour::GetInternalObject | ( |  | ) | `[pure virtual]`

| This is a function intended for implementations of behaviour layers. It returns a pointer to an internal object. For example, in case of a Python behaviour layer it would return a pointer to the actual Python object handle (PyObject pointer). Some behaviour layers may not need this and return 0 in that case. User-code should NEVER call this function or depend on it!

virtual const char* iCelBehaviour::GetName | ( |  | ) | const`[pure virtual]`

| Get the name of this behaviour (was used in the call to iCelBlLayer::CreateBehaviour()).

virtual bool iCelBehaviour::SendMessage | ( | const char * | msg_id,
|  | iCelPropertyClass * | pc,
|  | celData & | ret,
|  | iCelParameterBlock * | params,
|  |  | ...
| ) | `[pure virtual]`

| Send a message to this entity. Returns true if the message was understood and handled by the entity. The 'ret' parameter can be used to return values.

virtual bool iCelBehaviour::SendMessageV | ( | const char * | msg_id,
|  | iCelPropertyClass * | pc,
|  | celData & | ret,
|  | iCelParameterBlock * | params,
|  | va_list | arg
| ) | `[pure virtual]`

| Send a message to this entity. Returns true if the message was understood and handled by the entity.

The documentation for this struct was generated from the following file:

- behaviourlayer/behave.h